#import <Foundation/Foundation.h>
#import <sys/soundcard.h>
#import <MixerChannel.h>

@interface Mixer: NSObject
{
  NSString *device;
  MixerChannel *mixerChannel[SOUND_MIXER_NRDEVICES];
  int currentChannel;
  int totalChannels;
  int mixer_fd;
}

- (id) initWithDevice: (NSString *) device;
- (BOOL) updateState;
- (void) setState;
- (BOOL) updateRecordState;
- (BOOL) setRecordState;

void lr_to_vb(float left, float right, float *volume, float *balance);
void vb_to_lr(float volume, float balance, float *left, float *right);

- (void) setCurrentChannel: (int) deviceNumber;
- (int) currentChannel;
- (int) totalChannels;
- (NSArray *) allChannelNames;
- (NSString *) currentName;
- (float) currentVolume;
- (void) setCurrentVolume: (float) volume;
- (float) currentBalance;
- (void) setCurrentBalance: (float) balance;
- (BOOL) isCurrentMuted;
- (void) setCurrentMute: (BOOL) aBool;
- (BOOL) isCurrentRecord;
- (void) setCurrentRecord: (BOOL) aBool;
- (BOOL) currentCanRecord;
- (BOOL) isCurrentStereo;
@end
