/*
**  main.m
**
**  Copyright (c) 2002
**
**  Author: Yen-Ju  <yjchenx@yahoo.com.tw>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#import "AppKit/AppKit.h"

int main(int argc, const char **argv)
{
   NSAutoreleasePool *pool;
   NSString *bundlePath;
   NSBundle *bundle;
   Class bundleClass;
   id controller;

   pool = [NSAutoreleasePool new];

   bundlePath = [[NSString stringWithString: @"~/VolumeController/Mixer/MixerController.bundle"]
                         stringByExpandingTildeInPath];
   NSLog(@"%@", bundlePath);

   bundle = [NSBundle bundleWithPath: bundlePath];

   if (bundle)
     {
       bundleClass = [bundle principalClass];
       if (bundleClass)
         controller = [bundleClass new];
       else
         NSLog(@"Can't get class");
     }
   else
     NSLog(@"Can't get bundle");

   [NSApplication sharedApplication];

   [NSApp setDelegate: controller];

   NSApplicationMain(argc, argv);
	
   RELEASE(controller);
   RELEASE(pool);
   return 0;
}

